%global git_date    20120609
%global git_version 28874f
%global pkgname django-pylibmc

Name:           python-django-pylibmc
Version:        0.2.3
Release:        7.%{git_date}git%{git_version}%{?dist}
Summary:        Django module to use pylibmc for cache backend

License:        BSD
URL:            http://github.com/jbalogh/django-pylibmc

# git clone https://github.com/jbalogh/django-pylibmc python-django-pylibmc
# cd python-django-pylibmc
# git archive --format=tar HEAD | xz  > {name}-{version}.{git_date}git{git_version}.tar.xz
Source0:        %{name}-%{version}.%{git_date}git%{git_version}.tar.xz        
        
BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-pylibmc
BuildRequires:  python-django

Requires:       python-django
Provides:       %{pkgname} = %{version}-%{release}
Obsoletes:      %{pkgname} < 0.2.3-1.20120609git28874f

%description
Django-pylibmc package provides a memcached cache backend for 
Django using pylibmc. You want to use pylibmc because it's fast.

%prep
%setup -q -cn %{name}


%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

 
%files
%doc LICENSE README.rst
%{python_sitelib}/*.egg-info/
%{python_sitelib}/django_pylibmc/



%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-7.20120609git28874f
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-6.20120609git28874f
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-5.20120609git28874f
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-4.20120609git28874f
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-3.20120609git28874f
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jul 02 2012 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> - 0.2.3-2.20120609git28874f
- Resolved summary and require issue for python-django

* Thu Jun 09 2012 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> - 0.2.3-1.20120609git28874f
- Resolved file location issue

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-3.20110806gitb56e74
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Aug 11 2011 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> - 0.2.1-2.20110806gitb56e74
- Resolved file location issue

* Fri Aug 05 2011 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> - 0.2.1-1.20110806gitb56e74
- Initial RPM release
